Packaging - Tasks #1005

Create lib*, *-dev and *-bin packages and sort out some complicance issues

06/18/2012 04:03 PM - J. Moringen

Status: New Start date: 06/18/2012
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: rsb-1.0
Description
For typical C[++] libraries, we should have

- libname

- libname-dev

- and optionally name-bin

packages

We should adhere to naming conventions in package and file names.

History

#1 - 06/18/2012 04:04 PM - J. Moringen
- Target version deleted (rsb-0.7)

#2 - 06/18/2012 04:05 PM - J. Moringen
- Target version set to rsb-0.7

#3 - 06/18/2012 04:08 PM - Anonymous

For compliance issues see also:

https://projects.cor-lab.org/issues/1091

(sorry for cross-project link. | wasn't aware of this binary packaging project anymore)

#4 - 06/21/2012 03:47 PM - S. Wrede

- Target version changed from rsb-0.7 to rsb-0.9

#5 - 06/05/2013 09:43 PM - J. Moringen
- Target version changed from rsb-0.9 to rsb-0.10

We should not completely reorganize packaging before the release.

#6 - 12/10/2013 11:47 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#7 - 02/06/2014 05:30 PM - J. Moringen
- Target version changed from rsb-0.11 to rsb-0.12

#8 - 03/03/2016 12:07 PM - J. Moringen
- Target version changed from rsb-0.12 to rsb-0.14

#9 - 06/08/2016 09:03 PM - J. Moringen
https://projects.cor-lab.org/issues/1091

- Target version changed from rsb-0.14 to rsb-0.15

#10 - 07/07/2016 10:11 AM - J. Moringen
- Target version changed from rsb-0.15 to rsb-1.0
